Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Functions
tsp_solver Namespace Reference

namespace covering all functions for solving tsp problem (sorting items in cart) More...

## Functions
int | nearestNeighbour (vector< CartOItem > item_vect, Warehouse &warehouse, vector< CartOItem > *res_vect, SECTOR_ADDR_T starting_point, SECTOR_ADDR_T end_point)
| sort item in cart - TSP problem - to create the shortest path through all of them using nearest neighbour heuristics More...
int | bruteForce (vector< CartOItem > item_vect, Warehouse &warehouse, vector< CartOItem > *res_vect, SECTOR_ADDR_T starting_point, SECTOR_ADDR_T end_point)
| brute force implementation for solver of TSP problem More...
int | justMeasureDistance (vector< CartOItem > item_vect, Warehouse &warehouse, SECTOR_ADDR_T starting_point, SECTOR_ADDR_T end_point)
| just measuring distance between given points More...
int | greedyAlgorithm (vector< CartOItem > item_vect, Warehouse &warehouse, vector< CartOItem > *res_vect, SECTOR_ADDR_T starting_point, SECTOR_ADDR_T end_point)
| greedy algorithm implementation for TSP solving More...
int | greedyAlgorithmTmp (vector< CartOItem > item_vect, Warehouse &warehouse, vector< CartOItem > *res_vect, SECTOR_ADDR_T starting_point, SECTOR_ADDR_T end_point)

## Detailed Description

namespace covering all functions for solving tsp problem (sorting items in cart)

## Function Documentation

## ◆ bruteForce()

int tsp_solver::bruteForce | ( | vector< CartOItem > | item_vect,
|  | Warehouse & | warehouse,
|  | vector< CartOItem > * | res_vect,
|  | SECTOR_ADDR_T | starting_point,
|  | SECTOR_ADDR_T | end_point
| ) |  |

brute force implementation for solver of TSP problem

Parameters

  item_vect | cart which items should be sorted
  warehouse | warehouse instance
  res_vect | out-vector with result - sorted items to the nearest path

Returns
  estimated walked distance from the beginning to the beginning

## ◆ greedyAlgorithm()

int tsp_solver::greedyAlgorithm | ( | vector< CartOItem > | item_vect,
|  | Warehouse & | warehouse,
|  | vector< CartOItem > * | res_vect,
|  | SECTOR_ADDR_T | starting_point,
|  | SECTOR_ADDR_T | end_point
| ) |  |

greedy algorithm implementation for TSP solving

Parameters

  item_vect | cart which items should be sorted
  warehouse | warehouse instance
  res_vect | out-vector with result - sorted items to the nearest path

Returns
  estimated walked distance from the beginning to the beginning

## ◆ justMeasureDistance()

int tsp_solver::justMeasureDistance | ( | vector< CartOItem > | item_vect,
|  | Warehouse & | warehouse,
|  | SECTOR_ADDR_T | starting_point,
|  | SECTOR_ADDR_T | end_point
| ) |  |

just measuring distance between given points

Parameters

  item_vect | given points
  warehouse | warehouse instance with measuring implementation

Returns
  distance from first item to the last

## ◆ nearestNeighbour()

int tsp_solver::nearestNeighbour | ( | vector< CartOItem > | item_vect,
|  | Warehouse & | warehouse,
|  | vector< CartOItem > * | res_vect,
|  | SECTOR_ADDR_T | starting_point,
|  | SECTOR_ADDR_T | end_point
| ) |  |

sort item in cart - TSP problem - to create the shortest path through all of them using nearest neighbour heuristics

Parameters

  item_vect | cart which items should be sorted
  warehouse | warehouse instance
  res_vect | out-vector with result - sorted items to the nearest path

Returns
  estimated walked distance from the beginning to the beginning